perl-modperl-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From do...@hyperreal.org
Subject cvs commit: modperl Changes cgi_to_mod_perl.pod mod_perl_traps.pod
Date Mon, 30 Nov 1998 12:59:45 GMT
dougm       98/11/30 04:59:45

  Modified:    .        Changes cgi_to_mod_perl.pod mod_perl_traps.pod
  Log:
  remove references to the deprecated CGI::Switch
  
  Revision  Changes    Path
  1.216     +2 -0      modperl/Changes
  
  Index: Changes
  ===================================================================
  RCS file: /home/cvs/modperl/Changes,v
  retrieving revision 1.215
  retrieving revision 1.216
  diff -u -r1.215 -r1.216
  --- Changes	1998/11/30 01:33:36	1.215
  +++ Changes	1998/11/30 12:59:44	1.216
  @@ -8,6 +8,8 @@
   
   =item 1.16_02-dev
   
  +remove references to the deprecated CGI::Switch
  +
   initialize %LocationMatch, %DirectoryMatch, %FilesMatch and tie to IxHash
   for <Perl> sections [Eric Cholet <cholet@logilune.com>]
   
  
  
  
  1.6       +1 -1      modperl/cgi_to_mod_perl.pod
  
  Index: cgi_to_mod_perl.pod
  ===================================================================
  RCS file: /home/cvs/modperl/cgi_to_mod_perl.pod,v
  retrieving revision 1.5
  retrieving revision 1.6
  diff -u -r1.5 -r1.6
  --- cgi_to_mod_perl.pod	1998/06/12 20:27:27	1.5
  +++ cgi_to_mod_perl.pod	1998/11/30 12:59:44	1.6
  @@ -73,7 +73,7 @@
   
    print "Content-type: text/html\n\n";
   
  -If you're using CGI.pm or CGI::Switch and 'print $q->header' you do
  +If you're using CGI.pm and 'print $q->header' you do
   _not_ need C<PerlSendHeader On>.    
   
   =item NPH SCRIPTS
  
  
  
  1.11      +4 -11     modperl/mod_perl_traps.pod
  
  Index: mod_perl_traps.pod
  ===================================================================
  RCS file: /home/cvs/modperl/mod_perl_traps.pod,v
  retrieving revision 1.10
  retrieving revision 1.11
  diff -u -r1.10 -r1.11
  --- mod_perl_traps.pod	1998/10/29 19:34:03	1.10
  +++ mod_perl_traps.pod	1998/11/30 12:59:44	1.11
  @@ -50,9 +50,8 @@
   
   =item *
   
  -Your scripts *will not* run from the command line (yet) unless you use
  -CGI::Switch or CGI.pm and 5.004+ and do not make any direct calls to
  -Apache->methods. 
  +Your script *will not* run from the command line if your script makes
  +any direct calls to Apache->methods.  See Apache::FakeRequest.
   
   =back
   
  @@ -86,16 +85,10 @@
   
   =item *
   
  -CGI.pm users B<must> have version B<2.36> of the package or higher,
  -earlier versions will not work under mod_perl.  If you have Perl
  -version 5.004 or higher, scripts may 'use CGI'.  Otherwise, scripts
  -need to 'use CGI::Switch ()' so i/o goes through the Apache class
  -methods. 
  +CGI.pm users B<must> have version B<2.39> of the package or higher,
  +earlier versions will not work under mod_perl.
   
   =item *
  -
  -The CGI::* modules (CGI::Request etal.) can be used only with Perl
  -version 5.004 or higher.
   
   If you use the C<SendHeaders()> function, be sure to call
   $req_obj->cgi->done when you are done with a request, just as you
  
  
  

Mime
View raw message